LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
UICommandDescription Service Reference

a service which provides information about user interface commands of modules. More...

`import"UICommandDescription.idl";`

Inheritance diagram for UICommandDescription:

## Additional Inherited Members
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

a service which provides information about user interface commands of modules.

OpenOffice.org has an amount of commands that can be used by user interface elements. This service provides access to the user interface commands that are part of OpenOffice.org modules, like Writer or Calc.

Since
  OOo 2.0

Provides access to user interface commands of the installed modules.

To access the user interface command description of a module, a unique module specifier must be provided to com::sun::star::container::XNameAccess::getByName() function. The module specifier can be retrieved from the com::sun::star::frame::ModuleManager service. The interface provides references to com::sun:star::ui::ModuleUICommandDescription.

See Also
  com::sun::star::frame::ModuleManager

The documentation for this service was generated from the following file:

- com/sun/star/frame/UICommandDescription.idl